import { r as requireUtil } from "./agent.worker-6-HoPAWv.js";
function _mergeNamespaces(n, m) {
  m.forEach(function(e) {
    e && typeof e !== "string" && !Array.isArray(e) && Object.keys(e).forEach(function(k) {
      if (k !== "default" && !(k in n)) {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function() {
            return e[k];
          }
        });
      }
    });
  });
  return Object.freeze(n);
}
var utilExports = requireUtil();
var util = /* @__PURE__ */ _mergeNamespaces({
  __proto__: null
}, [utilExports]);
export {
  util as u
};
